package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.PowerOfAttorneyPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraPowerOfAttorneyDO;

import java.util.List;

/**
 * (附件)授权委托书 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyExtraPowerOfAttorneyService {

    Long create(ElderlyExtraPowerOfAttorneyDO createReqVO);

    void update(ElderlyExtraPowerOfAttorneyDO updateReqVO);

    void delete(Long id);

    PageResult<ElderlyExtraPowerOfAttorneyDO> findPage(PowerOfAttorneyPageReqVO reqVO);

    ElderlyExtraPowerOfAttorneyDO getDetail(Long id);

    List<ElderlyExtraPowerOfAttorneyDO> getListByElderId(Long elderId);

}
